<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
</head>

<body>
	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active">
			      	<a class="nav-link" sec:authorize="!hasRole('ROLE_STUDENTE')" href="/offerte/full-list">Tutte le offerte</a>
				  </li>
				<li class="nav-item active">
			      	<a class="nav-link" sec:authorize="hasRole('ROLE_STUDENTE')" th:href="@{/offerte/candidature(username=${#authentication.name})}">Le mie candidature</a>
				  </li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				<input class="form-control mr-sm-2" type="text" placeholder="Search"
					aria-label="Search">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
		</div>
	</nav>

	<div class="container">
	
		<br><br><br><br>
		
		<h2>Offerte di lavoro / stage</h2>
		<hr><br><br>
		<table class="table table-bordered table-striped">
			<thead class="thead-dark">
				<tr>
					<th>Titolo</th>
					<th>Descrizione</th>
					<th>Settore</th>
					<th sec:authorize="hasAnyRole('ROLE_AZIENDA', 'ROLE_UNIVERSITA')">Valido</th>
					<th sec:authorize="hasAnyRole('ROLE_STUDENTE', 'ROLE_UNIVERSITA')">Azienda ospitante</th>
					<th>Tipo</th>
					<th>Action</th>
				</tr>
			</thead>

			<tbody>
				<tr th:each="temp : ${offerte}">
					<td th:text="${temp.titolo}" />
					<td th:text="${temp.descr}" />
					<td th:text="${temp.settore}" />
					<td sec:authorize="hasAnyRole('ROLE_AZIENDA', 'ROLE_UNIVERSITA')" th:text="${temp.valido}" />
					<td sec:authorize="hasAnyRole('ROLE_STUDENTE', 'ROLE_UNIVERSITA')" th:text="${temp.aziendaOffer.nome}" />
					<td th:if="${temp.stageOffer?.id != null}">Stage <p th:text="${temp.stageOffer.tipo}" /></td>
					<td th:if="${temp.stageOffer?.id == null}" th:text="Lavoro" />
					<td><a th:href="@{/offerte/info(idOfferta=${temp.id}, username=${#authentication.name})}"
						class="btn btn-info btn-sm ml-2 mr-2"><span class="ml-3 mr-3">Info</span></a>
					    <a sec:authorize="hasRole('ROLE_AZIENDA')" th:href="@{/offerte/showFormForUpdate(idOfferta=${temp.id})}"
						class="btn btn-primary btn-sm"><span class="ml-2 mr-2">Update</span></a>
						<a sec:authorize="hasRole('ROLE_AZIENDA')" 
						th:href="@{/offerte/delete(IdOfferta=${temp.id})}"
						class="btn btn-danger btn-sm" ><span class="ml-2 mr-2">Elimina</span></a>
							
					</td>
				</tr>
			</tbody>
		</table>
		<br>
		<div class="d-flex justify-content-center media pt-3">
		<a sec:authorize="hasRole('ROLE_AZIENDA')" th:href="@{/offerte/showFormForAdd}"
			class="btn btn-success btn-sm mb-3">Pubblica una nuova offerta</a>
		</div>
	</div>
</body>
</html>